Name:           python-mailman-web
Version:        0.0.6
Release:        %autorelease
Summary:        Mailman 3 Web interface

License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/mailman-web
Source:         %{pypi_source mailman-web}
# Allow using Django 4.2
# upstream bumped it right when they transition to pyproject.toml
# see 08776a6
Patch:          mailman-web-allow-django-42.diff

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
This is a Django project that contains default settings and URL settings
for Mailman 3 Web interface. It consists of the following sub-projects:

- Postorius
- Hyperkitty
}

%description %_description

%package -n     python3-mailman-web
Summary:        %{summary}

%description -n python3-mailman-web %_description


%prep
%autosetup -p1 -n mailman-web-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mailman_web


%check
export DJANGO_SETTINGS_MODULE=mailman_web.settings
# 0.0.6 does not have test settings so check_import fails
# and the tox run is mostly useless too
# keep them until we have updated deps and can use 0.0.8+
# pyproject_check_import
%tox


%files -n python3-mailman-web -f %{pyproject_files}
%{_bindir}/mailman-web


%changelog
%autochangelog
